> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an organization member

> Retrieve an active member or pending member invitation.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/organizations/{organizationId}/members/{memberId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/organizations/{organizationId}/members/{memberId}:
    get:
      tags:
        - Organizations
      summary: Retrieve an organization member
      description: Retrieve an active member or pending member invitation.
      operationId: retrieveOrganizationMember
      parameters:
        - in: path
          name: organizationId
          schema:
            type: string
          required: true
        - in: path
          name: memberId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      responses:
        '200':
          description: Retrieve an organization member
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      createdAt:
                        type: string
                        format: date-time
                      id:
                        type: string
                        minLength: 1
                        maxLength: 255
                      updatedAt:
                        type: string
                        format: date-time
                      userId:
                        type: string
                      emailAddress:
                        type: string
                        format: email
                      firstName:
                        type:
                          - string
                          - 'null'
                      imageUrl:
                        type:
                          - string
                          - 'null'
                        format: uri
                      lastName:
                        type:
                          - string
                          - 'null'
                      role:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                        required:
                          - id
                          - name
                        additionalProperties: false
                      status:
                        type: string
                        const: active
                    required:
                      - createdAt
                      - id
                      - updatedAt
                      - userId
                      - emailAddress
                      - firstName
                      - imageUrl
                      - lastName
                      - role
                      - status
                    additionalProperties: false
                  - type: object
                    properties:
                      createdAt:
                        type: string
                        format: date-time
                      id:
                        type: string
                        minLength: 1
                        maxLength: 255
                      updatedAt:
                        type: string
                        format: date-time
                      userId:
                        type: 'null'
                      emailAddress:
                        type: string
                        format: email
                      firstName:
                        type:
                          - string
                          - 'null'
                      imageUrl:
                        type:
                          - string
                          - 'null'
                        format: uri
                      lastName:
                        type:
                          - string
                          - 'null'
                      role:
                        type:
                          - object
                          - 'null'
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                        required:
                          - id
                          - name
                        additionalProperties: false
                      status:
                        type: string
                        const: pending
                    required:
                      - createdAt
                      - id
                      - updatedAt
                      - userId
                      - emailAddress
                      - firstName
                      - imageUrl
                      - lastName
                      - role
                      - status
                    additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Organization administrator access is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Organization resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Organization operation conflicts with existing state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Organization operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Required organization storage is unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const member = await
            client.organizations.members.retrieve('memberId', {
              organizationId: 'organizationId',
            });
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client
                .organizations()
                .members()
                .retrieve("example", "example")
                .send()
                .await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.